Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Sample request:
POST /suppliers
{
"supplier_code": "Test code",
"name": "Test name",
"address": {
"address_line1": "string",
"suburb": "string",
"state": "string",
"postcode": "string",
"country": {
"id": 2,
"name": "string"
}
},
"phone": "string",
"fax": "string",
"contact_name": "string",
"contact_email": "contact_email@com.au",
"order_email": "order_email@com.au",
"admin_only_orders": false,
"deposit_required": false,
"shipping_port": {
"id": 2,
"name": "string"
},
"country_of_origin": {
"id": 2,
"name": "string"
},
"shipping_terms": "string",
"payment_terms": "string",
"comments": "string comment",
"purchase_order_template": "Standard",
"is_enabled": true,
"po_sku1_enabled": true,
"po_sku2_enabled": true
}
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Supplier to be created
Created
Supplier model
Supplier Id
Supplier Code
>= 0 characters<= 20 characters
Supplier Name
>= 0 characters<= 50 characters
Supplier address model
Supplier Phone Number
>= 0 characters<= 20 characters
Supplier Fax Number
>= 0 characters<= 20 characters
Supplier Contact Name
>= 0 characters<= 50 characters
Supplier Contact Email
>= 0 characters<= 120 characters
Supplier Order Email
>= 0 characters<= 120 characters
Admin Only Orders Flag
Deposit Required Flag
Supplier Shipping Terms
>= 0 characters<= 50 characters
Supplier Payment Terms
>= 0 characters<= 50 characters
Supplier Comments
Match pattern:^[^*|":<>[\]{}`\()';@&$#!-/?]+$
>= 0 characters<= 255 characters
Supplier Purchase Order Template type
PO SKU 1 Enabled (FALSE by default)
PO SKU 2 Enabled (TRUE by default)
Is enabled flag
Modified On
Gets Supplier by id
Supplier id
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Returns Supplier
Supplier model
Supplier Id
Supplier Code
>= 0 characters<= 20 characters
Supplier Name
>= 0 characters<= 50 characters
Supplier address model
Supplier Phone Number
>= 0 characters<= 20 characters
Supplier Fax Number
>= 0 characters<= 20 characters
Supplier Contact Name
>= 0 characters<= 50 characters
Supplier Contact Email
>= 0 characters<= 120 characters
Supplier Order Email
>= 0 characters<= 120 characters
Admin Only Orders Flag
Deposit Required Flag
Supplier Shipping Terms
>= 0 characters<= 50 characters
Supplier Payment Terms
>= 0 characters<= 50 characters
Supplier Comments
Match pattern:^[^*|":<>[\]{}`\()';@&$#!-/?]+$
>= 0 characters<= 255 characters
Supplier Purchase Order Template type
PO SKU 1 Enabled (FALSE by default)
PO SKU 2 Enabled (TRUE by default)
Is enabled flag
Modified On
Sample request:
PUT /supplier
{
"supplier_code": "supplier code",
"name": "Supplier test",
"address": {
"address_line1": "string",
"suburb": "string",
"state": "string",
"postcode": "string",
"country": {
"id": 2
}
},
"phone": "string",
"fax": "string",
"contact_name": "string",
"contact_email": "string@com.au",
"order_email": "string@com.au",
"admin_only_orders": false,
"deposit_required": false,
"shipping_port": {
"id": 2,
"name": "string"
},
"country_of_origin": {
"id": 2,
"name": "string"
},
"shipping_terms": "string",
"payment_terms": "string",
"comments": "Supplier comments",
"purchase_order_template": "Standard",
"is_enabled": true,
"po_sku1_enabled": true,
"po_sku2_enabled": true
}
Supplier id
Example:10000
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Supplier model
Returns updated Supplier
Supplier model
Supplier Id
Supplier Code
>= 0 characters<= 20 characters
Supplier Name
>= 0 characters<= 50 characters
Supplier address model
Supplier Phone Number
>= 0 characters<= 20 characters
Supplier Fax Number
>= 0 characters<= 20 characters
Supplier Contact Name
>= 0 characters<= 50 characters
Supplier Contact Email
>= 0 characters<= 120 characters
Supplier Order Email
>= 0 characters<= 120 characters
Admin Only Orders Flag
Deposit Required Flag
Supplier Shipping Terms
>= 0 characters<= 50 characters
Supplier Payment Terms
>= 0 characters<= 50 characters
Supplier Comments
Match pattern:^[^*|":<>[\]{}`\()';@&$#!-/?]+$
>= 0 characters<= 255 characters
Supplier Purchase Order Template type
PO SKU 1 Enabled (FALSE by default)
PO SKU 2 Enabled (TRUE by default)
Is enabled flag
Modified On
Deletes Supplier by id
Supplier id
Example:1
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Supplier deleted